# ij.showNoConnectionsAtStart property

#### Function

The `ij.showNoConnectionsAtStart` property specifies whether the connections message should be displayed when `ij` is started. Default is false, that is, a message indicating the current connections, if any, is displayed.

#### Syntax

    ij.showNoConnectionsAtStart={ false | true }

#### Example

In the following example, `ij` connects to a previously created database named `sample` using an `EmbeddedDataSource`. The property `ij.showNoConnectionsAtStart` is set to true in the first session of the example, and set to false in the second session.

    java -Dij.dataSource=org.apache.derby.jdbc.EmbeddedDataSource
    -Dij.dataSource.databaseName=sample -Dij.showNoConnectionsAtStart=true org.apache.derby.tools.ij
    ij version 10.5
    ij> disconnect;
    ij> exit;

    java -Dij.dataSource=org.apache.derby.jdbc.EmbeddedDataSource
    -Dij.dataSource.databaseName=sample -Dij.showNoConnectionsAtStart=false org.apache.derby.tools.ij
    ij version 10.5
    CONNECTION0*
    * = current connection
    ij> disconnect;
    ij> exit;

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property